aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorB. Stack <bgstack15@gmail.com>2023-08-30 15:57:51 -0400
committerB. Stack <bgstack15@gmail.com>2023-08-30 15:57:51 -0400
commit98f07db8573a4ae22472e63415cbf2b6dd6b2080 (patch)
tree131ac1298723da07359c69b11225892780da75d8
parentadd cron example for fetching feeds (diff)
downloadnewspipe-docker-98f07db8573a4ae22472e63415cbf2b6dd6b2080.tar.gz
newspipe-docker-98f07db8573a4ae22472e63415cbf2b6dd6b2080.tar.bz2
newspipe-docker-98f07db8573a4ae22472e63415cbf2b6dd6b2080.zip
WIP: add reverse-proxy support
-rw-r--r--.gitignore1
-rw-r--r--docker-compose.yml2
-rwxr-xr-xentrypoint.sh4
3 files changed, 5 insertions, 2 deletions
diff --git a/.gitignore b/.gitignore
index 986e34b..7407040 100644
--- a/.gitignore
+++ b/.gitignore
@@ -1,3 +1,4 @@
instance/
.*.swp
git/
+*gz
diff --git a/docker-compose.yml b/docker-compose.yml
index 492dc69..76d2e59 100644
--- a/docker-compose.yml
+++ b/docker-compose.yml
@@ -14,7 +14,7 @@ services:
ADMIN_PASSWORD: "1234567890"
NEWSPIPE_HOST: "0.0.0.0"
NEWSPIPE_PORT: 5004
- NEWSPIPE_BRANCH: "stackrpms-branding"
+ NEWSPIPE_BRANCH: "reverse-proxy"
volumes:
# Enable this if you wish to develop the app live, after git cloning to this ./git directory.
#- "./git:/newspipe"
diff --git a/entrypoint.sh b/entrypoint.sh
index 7e67c87..6edba0f 100755
--- a/entrypoint.sh
+++ b/entrypoint.sh
@@ -19,8 +19,10 @@ case "${1}" in
*)
cd /newspipe
git fetch || : ;
- git checkout "${NEWSPIPE_BRANCH}" || { echo "Invalid branch ${NEWSPIPE_BRANCH}" 1>&2 ; exit 1 ; }
+ test -f instance/config.py && cp -pf instance/config.py instance/config.py1
+ git checkout -f "${NEWSPIPE_BRANCH}" || { echo "Invalid branch ${NEWSPIPE_BRANCH}" 1>&2 ; exit 1 ; }
git pull || : ;
+ test -f instance/config.py1 && mv -f instance/config.py1 instance/config.py
_host="${1:-${NEWSPIPE_HOST}}"
_port="${2:-${NEWSPIPE_PORT}}"
set -x
bgstack15